﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PatientDemo
{
   public class PatientDetail
    {
        public ObservableCollection<Patient> Details { get; set; }

        public PatientDetail()
        {
            Details = new ObservableCollection<Patient>();

            Random rand = new Random();
            DateTime dt = DateTime.Now;

            for (int i = 11; i < 200; i++)
            {
                Details.Add(new Patient()
                {
                    HeartRate1 = rand.Next(130, 180),
                    HeartRate2 = rand.Next(230, 290),
                    HeartRate3 = rand.Next(340, 420),
                    Pressure1 = rand.Next(270, 340),
                    Pressure2 = rand.Next(360 , 410),
                    Pressure3 = rand.Next(480 , 520),
                    Temperature1 = rand.Next(40 , 90),
                    Temperature2 = rand.Next(120 , 190),
                    Temperature3 = rand.Next(240 , 290),
                    Speed = dt
                });
                dt = dt.AddHours(i);
            }
        }
    }
}
